> For the complete documentation index, see [llms.txt](https://docs.yemreak.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yemreak.com/arsiv/programming/pytest-ile-testlerinizi-yonetin-bagimliliklar-ve-siralama.md).

# PyTest ile Testlerinizi Yönetin: Bağımlılıklar ve Sıralama

python, pytest

![1467445.png](https://i.imgur.com/O3O8Jtx.png)

## 🔗 Bağımlılık Oluşturma

```python
pip install pytest-dependency
```

```python
class TestClass:
	@mark.dependency(name="test_init")
  async def test_init(self):
      ...

	@mark.dependency(depends=["test_init"])
  async def test_cancel_order_error(self):
      ...
```

* `name` ile teslerin adını tanımlarız
* `depends` alanındaki `name` ile tanımladığımız testler çalışmadan çalışmaz, atlanır
* Sırası çalıştırmak için `pytest-order` eklentisini kurmanız gerekir

## 🔢 Sıralamak

```python
pip install pytest-order
```

```python
import pytest

@pytest.mark.order(1)
def test_a():
    assert True

@pytest.mark.order(2)
def test_b():
    assert True

@pytest.mark.order(3)
def test_c():
    assert True
```

* Sırasıyla `1`, `2` ve `3`. testler çalışır


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.yemreak.com/arsiv/programming/pytest-ile-testlerinizi-yonetin-bagimliliklar-ve-siralama.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
